Subject: Timeouts on slow connections

From: John Goerzen <[email-masked]>
Date: Fri, 08 Sep 2023 22:32:07 -0500

Hi,

I've recently been on some slow hotel wifi.  I've been getting "i/o
timed out" on the client (nncp-call[er] side).  On the nncp-daemon side,
I get everything from "ERROR SP with [hostname]: waiting for payload:
xdr:decodeArray: data exceeds max slice limit - read: '3155270245'" at
the time the client times out, to just EOF errors on the server.

The upload speed from the client appears to be about 250KiB/sec.
However, it blows through the first MB or two almost immediately,
suggesting that it is filling up a transfer buffer somewhere.

I have tried raising all the timeouts I can, to no avail.  Is there
another timeout somewhere that could be raised?

I vaguely remember asking about this before, but unfortunately a search
isn't turning up the answer, so my apologies if I've forgotten.

Thanks again for NNCP!

- John